local dial = require("dial.map")

return {
    n = {
        ["<C-h>"] = {"db", desc = "Ctrl+Backspace to delete a word backwards"},
        ["<C-BS>"] = {"db", desc = "Ctrl+Backspace to delete a word backwards (Neovide)"},
        ["<C-Del>"] = {"dw", desc = "Ctrl+Delete to delete a word forwards"},
        ["<leader><F2>"] = {":Neotree close<CR>:UndotreeToggle<CR>", desc = "Toggle undo tree"},
        ["<leader><Left>"] = {"<C-W>h", desc = "Go to the window left"},
        ["<leader><Right>"] = {"<C-W>l", desc = "Go to the window right"},
        ["<leader><Up>"] = {"<C-W>k", desc = "Go to the window up"},
        ["<leader><Down>"] = {"<C-W>j", desc = "Go to the window down"},
        ["K"] = {require("hover").hover, desc = "Show hover.nvim popup"},
        ["<C-B>"] = {":Telescope buffers<CR>", desc = "Show Telescope for open buffers"},
        ["<C-P>"] = {":Telescope registers<CR>", desc = "Show Telescope for register paste"},
        ["<C-A>"] = {function () dial.manipulate("increment", "normal") end, desc = "Increment number"},
        ["<C-Y>"] = {function () dial.manipulate("decrement", "normal") end, desc = "Decrement number"},
        ["<C-X>"] = {false, desc = "Decrement number (unused)"}
    },
    v = {
        ["<C-A>"] = {function () require("dial.map").manipulate("increment", "visual") end, desc = "Increment number"},
        ["<C-Y>"] = {function () require("dial.map").manipulate("decrement", "visual") end, desc = "Decrement number"},
        ["<C-X>"] = {false, desc = "Decrement number (unused)"}
    },
    i = {
        ["\b"] = {"<C-O>db", desc = "Ctrl+Backspace to delete a word backwards"},
        ["<C-BS>"] = {"<C-O>db", desc = "Ctrl+Backspace to delete a word backwards (Neovide)"},
        ["<C-Del>"] = {"<C-O>dw", desc = "Ctrl+Delete to delete a word forwards"}
    }
}
